curl --request PATCH \
--url https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases/{caseId} \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'apiKey: <api-key>' \
--data '
{
"createdBy": "testuser@example.com",
"comment": "Case has been manually reviewed to be a false positive",
"assignedTo": "testuser@example.com"
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases/{caseId}"
payload = {
"createdBy": "testuser@example.com",
"comment": "Case has been manually reviewed to be a false positive",
"assignedTo": "testuser@example.com"
}
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
apiKey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
createdBy: 'testuser@example.com',
comment: 'Case has been manually reviewed to be a false positive',
assignedTo: 'testuser@example.com'
})
};
fetch('https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "<string>"
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}Update a case
Update the status or assignment of a case generated from a fraud or transaction monitoring check.
Authorizations
API key issued by FrankieOne. This will rotate regularly.
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Path Parameters
Unique identifier of a FrankieOne entity The unique identifier for a FrankieOne entity construct
"98ded7ac-2457-4bde-b27c-fcee05301262"
Unique Identifier of a Transaction Check Result
Body
Describes the update to a case status check, either via a comment appended to the case, a status update or an assignment of the case to another user
User ID of the User that created the comment
"testuser@example.com"
4028"Case has been manually reviewed to be a false positive"
Current status of an alert
PENDING, APPROVED, MANUALLY_APPROVED, MANUALLY_DECLINED User ID of the User that the case was assigned to
"testuser@example.com"
Response
The request was valid and can potentially be fulfilled. The FrankieOne service has now accepted responsibility for processing and we will either push the results to you, or send you a notification, depending on the request and your configuration.
The request was valid and can potentially be fulfilled. The FrankieOne service has now accepted responsibility for processing and we will either push the results to you, or send you a notification, depending on the request and your configuration.
Unique identifier assigned by FrankieOne for every request. Can be used for tracking down answers with technical support. Uses the ULID format (a time-based, sortable UUID) example: 01BFJA617JMJXEW6G7TDDXNSHX
26Was this page helpful?